/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'tkdm',
				prop: 'tkdm',
				dataType: 'TEXT',
			},
			{
				name: 'jzbf',
				prop: 'jzbf',
				dataType: 'BIGDECIMAL',
			},
			{
				name: 'fl',
				prop: 'fl',
				dataType: 'DECIMAL',
			},
			{
				name: 'sjbf',
				prop: 'sjbf',
				dataType: 'BIGDECIMAL',
			},
			{
				name: 'tkmc',
				prop: 'tkmc',
				dataType: 'TEXT',
			},
			{
				name: 'srfmajortext',
				prop: 'syxbjname',
				dataType: 'TEXT',
			},
			{
				name: 'srfdataaccaction',
				prop: 'syxbjid',
				dataType: 'GUID',
			},
			{
				name: 'srfkey',
				prop: 'syxbjid',
				dataType: 'GUID',
			},
			{
				name: 'ptfhxs',
				prop: 'ptfhxs',
				dataType: 'DECIMAL',
			},
			{
				name: 'syxbj',
				prop: 'syxbjid',
			},


      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'page',
        prop:'page'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'srfparentdata',
        prop:'srfparentdata'
      }
		]
	}

}